WordPress.org

Ready to get started?Download WordPress

Forums

Tale of woe and a suggestion (13 posts)

  1. SWAnderson
    Member
    Posted 9 years ago #

    Last night, I spent nearly four hours trying to upgrade from WordPress 1.2.2 to 1.5. It didn't go well. In fact, it was like trying to honeymoon in Baghdad after getting on the wrong side of the jihadist next door.

    Before going further, I want to compliment the programming wizards who created a world-beater in WP 1.2 and have added so many ingenious and useful features in 1.5. I am in awe of their talent, skill and dedication, and I thank them. This isn't a rant. I hope it will provide some helpful insight to the good people at WP who are trying to help nonprogrammer users help themselves.

    I know next to nothing about PHP programming, but I'm pretty good at following cookbook-type directions. I originally set up WP in its own subdomain using Fantastico and that went well. I upgraded to 1.2, adapting the directions slightly for my situation and that, too, went well. I have adapted the Sub:Lemon style to my blog, and have modified index.php. I also installed a few plugins, such as Breadcrumbs.

    In the past couple of months, like most WP users, I've been under relentless assault by comment spammers. In response I made a few recommended modifications to various WP files. I finally got relief by installing the Trencaspammers utility. (I didn't document all these modifications -- probably a mistake.)

    I printed out and studied the 1.5 upgrade directions, and followed them carefully. The first try was a disaster. On a second try, I got to at least see the admin side after going to the forums and dealing with a couple of errors. Even then, the top third of the screen was filled with error messages and the WordPress logo was overwritten with something I couldn't read. I never got WP 1.5 to recognize the default theme, classic theme or my own theme. I never saw my blog, because when I went to the page, IE6 got hinky and started trying to download files, which was bizarre. Firefox didn't insist on trying to download, but it didn't display my blog, either.

    From various error messages on various admin page displays, I gather that WP 1.5 found my database OK but couldn't find any way to relate it to the page template, style.css and the various comments components. (I did made sure style.css was ftp'd as text and index.php was ftp'd as binary, etc.)

    Having burned a lot of time, bandwidth and midnight oil, I called it quits and did a big restore. I don't have a large reader base and don't want to discourage the good folks who come by, or newcomers, by being out of service for days while I fumble around, not knowing enough about what I'm trying to do.

    I'm unsure what to do next. Trying to parse and compare notes with all the forum posts seems like a lot of hassle for an uncertain outcome. I'm game to try a fresh install of a dummy/training blog, so maybe I could learn more about 1.5 before trying to upgrade again. However, my Web host still has Fantastico set up to install WP 1.2. I'll ask them to update it.

    By way of suggestion, it would help if you could add another scenario or two to your step-by-sep directions. Also look, it would be good if you could look through forum messages to ID the top half-dozen or top-10 common problems that seem to fall into patterns, then post a list of fixes for those that people could print out and work with.

    I suspect my blog's situation (installed in a subdomain, multi-mods for comment spam and plug-ins etc.) are extremely common and that a bunch of other users are at the same impasse I am. Any help you can provide will really be appreciated.

    If you'd like to see my current WP 1.2 setup, feel welcome to visit http://wpblog.ohpinion.com/

    Below are some of the (bewildering) error messages I got. (I have replaced a name in the path information for security reasons)

    Warning: Invalid argument supplied for foreach() in /home/shanana/public_html/wpblog/wp-settings.php on line 113 (I fixed this one)

    Warning: Cannot modify header information - headers already sent by (output started at /home/shanana/public_html/wpblog/wp-settings.php:113) in /home/shanana/public_html/wpblog/wp-admin/admin.php on line 6

    Warning: Cannot modify header information - headers already sent by (output started at /home/shanana/public_html/wpblog/wp-settings.php:113) in /home/shanana/public_html/wpblog/wp-admin/admin.php on line 7

    Warning: Cannot modify header information - headers already sent by (output started at /home/shanana/public_html/wpblog/wp-settings.php:113) in /home/shanana/public_html/wpblog/wp-admin/admin.php on line 8

    Warning: Cannot modify header information - headers already sent by (output started at /home/shanana/public_html/wpblog/wp-settings.php:113) in /home/shanana/public_html/wpblog/wp-admin/admin.php on line 9

  2. Mark (podz)
    Support Maven
    Posted 9 years ago #

    First, your blog:
    - I would back it all up, then delete everything off the server.
    I would then get 1.5 working and once that was done, start putting all the changes back, starting with the CSS.

    - Those error messages I have seen but neither are that bad exactly.

    It's late here (23:00) but I would recommend a testblog, a copy of your database and run the upgrade there.

    Second: Updating
    - I have watched the forums with regard to upgrading issues and I can't say I have noticed a widespread pattern, and certainly emails I have had do not support that either. That said, I may well be missing a pattern and any suggestions to improve the guide are useful - it could assist when it comes to write the next one. As recently as this afternoon I added a suggestion from someone (Hi ~Tor) who mailed an improvement.

  3. SWAnderson
    Member
    Posted 9 years ago #

    Thanks for your reply, Podz. Not immediately, but I will try that.

  4. Mark (podz)
    Support Maven
    Posted 9 years ago #

    If you need any more advice on this, do feel free to contact me :)

  5. RustIndy
    Member
    Posted 9 years ago #

    Because you've modified the WP 1.2 files, there are a couple of extra steps to take.

    Follow these instructions http://www.tamba2.org.uk/wordpress/upgrade/upgrade_ca.html to the letter and it *should* work for you (thanks to Podz for putting them together).

    I have to say I have noticed a pattern with problems around here - a *LOT* of people have decided to skip running the upgrade.php file. Skipping that step will cause errors like IE6 trying to download the pages, invalid argument errors, and headers already sent errors. Please DON'T forget to run /wp-admin.php from your browser after you've copied the 1.5 files to your host. It really is an important step.

  6. SWAnderson
    Member
    Posted 9 years ago #

    RustIndy, I did run upgrade.php in the browser and saw the message saying that if I could see it, I was all set.

    As I said in the message, I was able to access the admin pages. Is that different from RUNning wp-admin.php? I don't recall seeing anything to run there.

    Lastly, I have tried repeatedly since last Saturday to connect to tamba2.org.uk, various specific URLs. Every time, I get a page can't be loaded error page.

  7. pericat
    Member
    Posted 9 years ago #

    Um, SW Anderson may be more comfortable with this translation of Podz' excellent upgrade manual:

    http://www.tamba2.org.uk/wordpress/upgrade/upgrade_en.html

    rather than the _ca one. :)

  8. RustIndy
    Member
    Posted 9 years ago #

    The _ca one rocks :)

    SWAnderson, just making sure about the upgrade.php file. A LOT of people skip it during the upgrade. And the "IE wants to download the pages" problem is the exact result of not running that file. Try it again, just in case. It won't hurt anything.

    First, I just realized you said you transferred the PHP files as binary? I'm no *nix guru, so I might be mistaken, but I thought they were text files. My FTP client transfers them as text with no issues that I'm aware of.

    The issue you noted regarding your admin section is easy enough - just force your browser to refresh the page (in Firefox, hold the CTRL - or maybe it's SHIFT - key down and hit the Reload button). What's happening is your browser is using the 1.2 stylesheet for the admin section instead of the new 1.5 stylesheet.

    Finally, if Firefox is not displaying anything at all on your page, that almost certainly means that a file somewhere (most likely a plugin file, or one of the template files) has a blank line inserted either at the very beginning or very end of it. So either check the source code for all the plugins and template files you're using, or change to the default template (if it works, then your other template has the problem in one of it's files), or start deactivating plugins until the problem goes away. Then edit the file(s) that seemed to be causing the problem so that <?php is the *very first* line, and ?> is the *very last* line - no blank lines before or after them.

  9. mikep
    Member
    Posted 9 years ago #

    The suggestion from Podz for a testblog is a good one. That's how I upgraded from 1.2.2 to 1.5. I set up a testblog on a PC (xampp and Linux - you can do this in Windows too) and then ran through the upgrade process several times until the problems were solved. I upgraded the live blog knowing that test upgrades worked faultlessly. You can also experiment with a clean install of 1.5 and an empty database.

  10. Root
    Member
    Posted 9 years ago #

    And there is no reason why your test / dev blog shouldn't be online too. Many of us have spare WP in sub dirs as well. You would be surprised at how many installs some of us run :)

  11. pericat
    Member
    Posted 9 years ago #

    First, I just realized you said you transferred the PHP files as binary? I'm no *nix guru, so I might be mistaken, but I thought they were text files.

    No mistake. Uploading PHP files as binary will give bucketloads of nasty errors when you go to run them.

  12. SWAnderson
    Member
    Posted 9 years ago #

    Thanks to all of you for added insight and information.

    Most files uploaded were set for "auto" but, because of something I saw in another message somewhere, I picked up the notion .php files should go as binary, and on the last upgrade attempt, I separately re-sent index.php as binary. Now I know better.

    As to the display problems vs. browser trying to download, I did page refreshes in each browser. I also emptied stored pages/files, to make sure that wasn't causing any conflicts. There were no blank lines in plugins because the only plugins on the site during the update attempts were the ones uploaded among the WordPress 1.5 files. The directions said to clear all files except wp-config.php, so that's exactly what I did.

  13. If the pages are still downloading rather than displaying, try running /wp-admin/upgrade.php again. Trust me, that's the fix.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.